> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v3producers contracts plant documents

> Saves documents needed to finish the producer's registration process.



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/producers/{userID}/contracts/{contractID}/plant_documents/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/{userID}/contracts/{contractID}/plant_documents/:
    post:
      tags:
        - producers
      description: Saves documents needed to finish the producer's registration process.
      operationId: producers_contracts_plant_documents_create
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ProducerPlantDocuments'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProducerPlantDocumentsResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
                example:
                  email:
                    - Enter a valid email address.
                  non_field_errors:
                    - Invalid combination of fields.
          description: No document was provided or an uploaded document failed validation.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
          description: Producer contract or plant not found.
components:
  schemas:
    ProducerPlantDocuments:
      type: object
      properties:
        remote_controlabilty_declaration:
          type: string
          format: binary
          description: >-
            Remote controllability declaration. Accepted formats: PDF, JPG/JPEG,
            PNG, and HEIC.
        remote_controlabilty_protocol:
          type: string
          format: binary
          description: >-
            Remote controllability protocol. Accepted formats: PDF, JPG/JPEG,
            PNG, and HEIC.
        remote_controllability_agreement:
          type: string
          format: binary
          description: >-
            Remote controllability agreement. Accepted formats: PDF, JPG/JPEG,
            PNG, and HEIC.
        initial_assignment_agreement:
          type: string
          format: binary
          description: >-
            Initial assignment agreement. Accepted formats: PDF, JPG/JPEG, PNG,
            and HEIC.
        installation_receipt:
          type: string
          format: binary
          description: >-
            Installation receipt. Accepted formats: PDF, JPG/JPEG, PNG, and
            HEIC.
    ProducerPlantDocumentsResponse:
      type: object
      properties:
        remote_controlabilty_declaration:
          type: string
          nullable: true
        remote_controlabilty_protocol:
          type: string
          nullable: true
        remote_controllability_agreement:
          type: string
          nullable: true
        initial_assignment_agreement:
          type: string
          nullable: true
        installation_receipt:
          type: string
          nullable: true
      required:
        - initial_assignment_agreement
        - installation_receipt
        - remote_controlabilty_declaration
        - remote_controlabilty_protocol
        - remote_controllability_agreement
    NotFoundResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.